import { Vue } from "vue-property-decorator";
import { MessageType } from "../../../messages/types/Message";
export default class BaseMessageForm extends Vue {
    types: {
        [key in MessageType]: string;
    };
    currentType: string | number;
    submitText: string;
    loading: boolean;
    save(): boolean;
    changeType(type: MessageType): MessageType;
    cancel(): boolean;
}
